"use strict";Object.defineProperty(exports, "__esModule", {value: true});// lib/models/simkl-common.model.ts
var SimklEntityType = {
  Short: "short",
  Extended: "extended",
  Unknown: "unknown"
};
var SimklMediaType = {
  Movie: "movie",
  Show: "show",
  Anime: "anime"
};
var SimklAnimeAndShowStatus = {
  Airing: "airing",
  Ongoing: "ongoing",
  Ended: "ended",
  Tba: "tba"
};
var SimklMovieStatus = {
  Released: "released",
  Upcoming: "upcoming"
};
var SimklMediaStatus = {
  ...SimklAnimeAndShowStatus,
  ...SimklMovieStatus
};
var SimklTrendingInterval = {
  Today: "today",
  Week: "week",
  Month: "month"
};
var SimklGenreYear = {
  All: "all-years",
  Today: "today",
  ThisWeek: "this-week",
  ThisMonth: "this-month",
  ThisYear: "this-year"
};
var SimklGenreSort = {
  PopularToday: "popular-today",
  PopularThisWeek: "popular-this-week",
  PopularThisMonth: "popular-this-month",
  Rank: "rank",
  Votes: "votes",
  ReleaseDate: "release-date",
  LastAirDate: "last-air-date",
  AlphabetAZ: "a-z",
  AlphabetZA: "z-a"
};
var SimklPremiereParam = {
  New: "new",
  Soon: "soon"
};
var SimklPremiereDate = {
  Today: "today",
  Tomorrow: "tomorrow"
};
var SimklAiringSort = {
  Time: "time",
  Rank: "rank",
  Popularity: "popularity"
};
var SimklBestFilter = {
  Year: "year",
  Month: "month",
  All: "all",
  Voted: "voted",
  Watched: "watched"
};














exports.SimklEntityType = SimklEntityType; exports.SimklMediaType = SimklMediaType; exports.SimklAnimeAndShowStatus = SimklAnimeAndShowStatus; exports.SimklMovieStatus = SimklMovieStatus; exports.SimklMediaStatus = SimklMediaStatus; exports.SimklTrendingInterval = SimklTrendingInterval; exports.SimklGenreYear = SimklGenreYear; exports.SimklGenreSort = SimklGenreSort; exports.SimklPremiereParam = SimklPremiereParam; exports.SimklPremiereDate = SimklPremiereDate; exports.SimklAiringSort = SimklAiringSort; exports.SimklBestFilter = SimklBestFilter;
