// lib/models/simkl-anime.model.ts
var SimklAnimeType = {
  TV: "tv",
  OVA: "ova",
  ONA: "ona",
  Movie: "movie",
  Special: "special",
  MusicVideo: "music video"
};
var SimklAnimeGenreSection = {
  Action: "action",
  Adventure: "adventure",
  Cars: "cars",
  Comedy: "comedy",
  Dementia: "dementia",
  Demons: "demons",
  Drama: "drama",
  Ecchi: "ecchi",
  Fantasy: "fantasy",
  Game: "game",
  Harem: "harem",
  Historical: "historical",
  Horror: "horror",
  Josei: "josei",
  Kids: "kids",
  Magic: "magic",
  MartialArts: "martial-arts",
  Mecha: "mecha",
  Military: "military",
  Music: "music",
  Mystery: "mystery",
  Parody: "parody",
  Police: "police",
  Psychological: "psychological",
  Romance: "romance",
  Samurai: "samurai",
  School: "school",
  SciFi: "sci-fi",
  Seinen: "seinen",
  Shoujo: "shoujo",
  ShoujoAi: "shoujo-ai",
  Shounen: "shounen",
  ShounenAi: "shounen-ai",
  SliceOfLife: "slice-of-life",
  Space: "space",
  Sports: "sports",
  SuperPower: "super-power",
  Supernatural: "supernatural",
  Thriller: "thriller",
  Vampire: "vampire",
  Yaoi: "yaoi",
  Yuri: "yuri",
  All: "all"
};
var SimklAnimeGenreType = {
  All: "all-types",
  Series: "series",
  Movies: "movies",
  OVAs: "ovas",
  ONAs: "onas"
};
var SimklAnimeGenreNetwork = {
  All: "all",
  TVTokyo: "tvtokyo",
  TokyoMX: "tokyomx",
  FujiTV: "fujitv",
  TokyoBroadcastingSystem: "tokyobroadcastingsystem",
  TVAsahi: "tvasahi",
  WOWOW: "wowow",
  NTV: "ntv",
  ATX: "atx",
  CTC: "ctc",
  NHK: "nhk",
  MBS: "mbs",
  Animax: "animax",
  CartoonNetwork: "cartoonnetwork",
  ABC: "abc"
};
var SimklAnimePremiereType = {
  All: "all",
  Series: "series",
  Movies: "movies",
  OVAs: "ovas"
};
var SimklAnimeBestType = {
  All: "all",
  TV: "tv",
  Movies: "movies",
  Music: "music",
  OVAs: "ovas",
  ONAs: "onas"
};

export {
  SimklAnimeType,
  SimklAnimeGenreSection,
  SimklAnimeGenreType,
  SimklAnimeGenreNetwork,
  SimklAnimePremiereType,
  SimklAnimeBestType
};
