"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkWQ6NSTT2cjs = require('./chunk-WQ6NSTT2.cjs');

// lib/api/endpoints/ratings.endpoint.ts
var _http = require('@dvcol/common-utils/http');
var ratings = new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
  method: _http.HttpMethod.GET,
  url: "/ratings",
  opts: {
    auth: _chunkWQ6NSTT2cjs.SimklApiAuthType.Client,
    parameters: {
      query: {
        fields: false,
        title: false,
        year: false,
        season: false,
        episode: false,
        type: false,
        simkl: false,
        imdb: false,
        tvdb: false,
        tmdb: false,
        anidb: false,
        mal: false,
        anilist: false,
        hulu: false,
        netflix: false,
        crunchyroll: false,
        kitsu: false,
        livechart: false,
        anisearch: false,
        animeplanet: false,
        traktslug: false,
        letterboxd: false
      }
    }
  },
  transform: (param) => {
    if (param.fields && Array.isArray(param.fields)) return { ...param, fields: param.fields.join(",") };
    return param;
  }
});



exports.ratings = ratings;
